.leaflet-control-layers-toggle.leaflet-layerstree-named-toggle {
    margin: 2px 5px;
    width: auto;
    height: auto;
    background-image: none;
}

.leaflet-control-layers-list{
	font: 13px / 1.7 "Helvetica Neue", Arial, Helvetica, sans-serif;
}

.leaflet-layerstree-node {
}

.leaflet-layerstree-header input{
    margin-left: 0px;
}


.leaflet-layerstree-header {
}

.leaflet-layerstree-header-pointer {
    cursor: pointer;
}

.leaflet-layerstree-header label {
    display: inline-block;
    cursor: pointer;
}

.leaflet-layerstree-header-label {
}

.leaflet-layerstree-header-name {
	padding-left: 2px;
}

.leaflet-layerstree-header-space {
}

.leaflet-layerstree-children {
    padding-left: 20px;
}

.leaflet-layerstree-children-nopad {
    padding-left: 0px;
}

.leaflet-layerstree-closed {
}

.leaflet-layerstree-opened {
}

.leaflet-layerstree-hide {
    display: none;
}

.leaflet-layerstree-nevershow {
    display: none;
}

.leaflet-layerstree-expand-collapse {
    cursor: pointer;
}
.leaflet-control-layers-tree .leaflet-control-layers-group.leaflet-control-layers-expanded {
    display: none;  /* Oculta las capas expandidas por defecto */
}
/* Asegurarse de que los nodos estén contraídos */
.leaflet-control-layers-tree .leaflet-control-layers-group.leaflet-control-layers-expanded {
    display: none !important; /* Ocultar los grupos expandidos */
}

/* Asegurarse de que los nodos cerrados sean visibles */
.leaflet-control-layers-tree .leaflet-control-layers-group.leaflet-control-layers-closed {
    display: block !important;
}

/* Asegurar que los grupos de capas estén cerrados por defecto */
.leaflet-layerstree-header {
    cursor: pointer;
}

.leaflet-layerstree-header.leaflet-layerstree-opened {
    display: none; /* Ocultar los grupos expandidos */
}

.leaflet-layerstree-header.leaflet-layerstree-closed {
    display: block !important;  /* Mostrar los grupos colapsados */
}
/* Colocar el botón 'Contraer todo' en la esquina superior derecha */
.leaflet-control-layers-tree .leaflet-control-layers-collapse-all {
    position: absolute;
    top: 10px; /* Ajusta la distancia desde el top */
    right: 10px; /* Ajusta la distancia desde el lado derecho */
    z-index: 1000; /* Asegura que esté encima de otros elementos */
    background: #fff; /* Fondo blanco (puedes cambiarlo según tu preferencia) */
    border: 1px solid #ddd; /* Borde del botón */
    padding: 5px; /* Espaciado alrededor del texto */
    cursor: pointer; /* Cambio de cursor al pasar por encima */
    border-radius: 4px; /* Bordes redondeados */
}

/* Si es necesario, para personalizar aún más el estilo del texto del botón */
.leaflet-control-layers-tree .leaflet-control-layers-collapse-all:hover {
    background-color: #f4f4f4; /* Cambiar fondo al pasar el mouse */
}
